Subject: Re: [PATCH] prefix_path(): Unconditionally free result of prefix_path

From: Jeff King <[email-masked]>
Date: Tue, 5 May 2015 13:56:12 -0400

On Tue, May 05, 2015 at 10:36:38AM -0700, Junio C Hamano wrote:

> Stefan Beller <[email-masked]> writes:
> 
> >> Should we also squash in these sites? I think they are adequately
> >> covered under the proposed log message.
> >
> > That sounds good to me.
> >>
> >> Found by grepping for prefix_path calls. The only remainders are:
> >>
> >>   1. in blame, we assign the result to a const char that may also point
> >>      straight into to argv, but we never actually free either way
> 
> The return value from add_prefix() that is what prefix_path()
> returned eventually becomes scoreboard.path that needs to be kept
> during the lifetime of the process, and I think there isn't much
> point doing the "free() immediately before exiting".

Yeah, sorry, I meant to say that more explicitly, but clearly didn't. I
think it is fine as-is.

> Anyway, here is what I'd queue for now.

Looks good, thanks.

-Peff